Subject: [PATCH 1/2] ARM: dts: fix gpio-keys wakeup-source property

From: [email-masked] (Sudeep Holla)
Date: Wed, 14 Oct 2015 10:01:15 +0100

On 14/10/15 01:13, Simon Horman wrote:
> [cc linux-sh]
>
> On Tue, Oct 13, 2015 at 02:32:43PM +0100, Sudeep Holla wrote:
>> The keyboard driver for GPIO buttons(gpio-keys) checks for one of the
>> two boolean properties to enable gpio buttons as wakeup source:
>> 1. "wakeup-source" or
>> 2. the legacy "gpio-key,wakeup"
>>
>> However juno, ste-snowball and emev2-kzm9d dts file have a undetected
>> "wakeup" property to indictate the wakeup source.
>>
>> This patch fixes it by making use of "wakeup-source" property.
>>
>> Cc: Simon Horman <[email-masked]>
>> Cc: Magnus Damm <[email-masked]>
>> Cc: Linus Walleij <[email-masked]>
>> Signed-off-by: Sudeep Holla <[email-masked]>
>> ---
>>   arch/arm/boot/dts/emev2-kzm9d.dts             |  8 ++++----
>>   arch/arm/boot/dts/ste-snowball.dts            | 10 +++++-----
>>   arch/arm64/boot/dts/arm/juno-motherboard.dtsi | 12 ++++++------
>>   3 files changed, 15 insertions(+), 15 deletions(-)
>
> emev2-kzm9d portion:
>
> Acked-by: Simon Horman <[email-masked]>
>
> My preferred course of action would be to take that portion through the
> renesas tree if it was broken out into a separate patch. But I won't
> object if someone wants to take the whole patch/series.

I can split this patch, but it is more like a bug fix IMO, I can't use
these GPIO as wakeup on Juno. So I hope arm-soc guys take it directly.
If not, I can split and sent it separately.

-- 
Regards,
Sudeep